import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext } from 'react';
import { ErrorContext } from '../hooks/error';
import { JsonComp } from './Json';
export const CustomComp = (props) => {
    const { data, subType, library } = props;
    const { DisplayError } = useContext(ErrorContext);
    const description = [`The custom component "${subType}"`];
    if (library) {
        description.push(`from library "${library}"`);
    }
    description.push(`has no implementation with this frontend app.`);
    return (_jsxs(DisplayError, { title: "Custom component without implementation", description: description.join(' '), children: ["Custom component data:", _jsx(JsonComp, { type: "JSON", value: data })] }));
};
