import { FC } from 'react';
import { ClassName } from '../hooks/className';
import { FastProps } from './index';
import { FormFieldProps } from './FormField';
interface BaseFormProps {
    formFields: FormFieldProps[];
    /** @TJS-type object */
    initial?: Record<string, any>;
    submitUrl: string;
    footer?: boolean | FastProps[];
    method: 'GET' | 'GOTO' | 'POST';
    displayMode?: 'default' | 'inline';
    submitOnChange?: boolean;
    className?: ClassName;
}
export interface FormProps extends BaseFormProps {
    type: 'Form';
}
export interface ModelFormProps extends BaseFormProps {
    type: 'ModelForm';
}
export declare const FormComp: FC<FormProps | ModelFormProps>;
export {};
