import { jsx as _jsx } from "react/jsx-runtime";
import { useContext } from 'react';
import { useClassName } from '../hooks/className';
import { LocationContext } from '../hooks/locationContext';
import { useFireEvent } from '../events';
import { AnyCompList } from './index';
export const LinkComp = (props) => (_jsx(LinkRender, { className: useClassName(props), onClick: props.onClick, locked: props.locked, children: _jsx(AnyCompList, { propsList: props.components }) }));
export const LinkRender = (props) => {
    const { className, ariaLabel, children, onClick, locked } = props;
    const { fireEvent } = useFireEvent();
    const { computeQuery } = useContext(LocationContext);
    let href = locked ? undefined : '#';
    if (!locked && onClick && onClick.type === 'go-to') {
        if (onClick.url) {
            href = onClick.url;
        }
        else if (onClick.query) {
            href = computeQuery(onClick.query);
        }
    }
    const clickHandler = (e) => {
        e.preventDefault();
        if (!locked) {
            fireEvent(onClick);
        }
    };
    return (_jsx("a", { href: href, className: className, onClick: clickHandler, "aria-label": ariaLabel, "aria-disabled": locked, children: children }));
};
