import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { asTitle } from '../tools';
import { useClassName } from '../hooks/className';
import { DisplayComp, renderEvent } from './display';
export const TableComp = (props) => {
    const { columns, data, noDataMessage } = props;
    const noDataClassName = useClassName(props, { el: 'no-data-message' });
    return (_jsxs("table", { className: useClassName(props), children: [_jsx("thead", { children: _jsx("tr", { children: columns.map((col, id) => (_jsx("th", { style: colWidth(col.tableWidthPercent), children: col.title ?? asTitle(col.field) }, id))) }) }), _jsx("tbody", { children: data.map((row, rowId) => (_jsx("tr", { children: columns.map((column, id) => (_jsx(Cell, { row: row, column: column }, id))) }, rowId))) }), data.length === 0 && _jsx("caption", { className: noDataClassName, children: noDataMessage || 'No data' })] }));
};
const colWidth = (w) => (w ? { width: `${w}%` } : undefined);
const Cell = ({ row, column }) => {
    const { field, onClick, ...rest } = column;
    const value = row[field];
    const renderedOnClick = renderEvent(onClick, row);
    return (_jsx("td", { children: _jsx(DisplayComp, { type: "Display", onClick: renderedOnClick, value: value, ...rest }) }));
};
