import { ContextType } from './hooks/eventContext';
export interface PageEvent {
    type: 'page';
    name: string;
    pushPath?: string;
    context?: ContextType;
    clear?: boolean;
}
export interface GoToEvent {
    type: 'go-to';
    url?: string;
    query?: Record<string, string | number | null>;
}
export interface BackEvent {
    type: 'back';
}
export type AnyEvent = PageEvent | GoToEvent | BackEvent;
export interface PageEventDetail {
    clear: boolean;
    context?: ContextType;
}
export declare function useFireEvent(): {
    fireEvent: (event?: AnyEvent) => void;
};
export declare const loadEvent = "fastui:load";
export interface LoadEventDetail {
    path?: string;
    reloadValue?: number;
}
export declare function fireLoadEvent(detail: LoadEventDetail): void;
export declare function usePageEventListen(event?: PageEvent, initialContext?: ContextType | null): {
    eventContext: ContextType | null;
    clear: () => void;
};
