import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { createContext, useCallback, useContext, useState } from 'react';
const DefaultErrorDisplay = ({ title, description, children }) => (_jsxs(_Fragment, { children: [_jsxs("div", { className: "alert alert-danger m-3", role: "alert", children: [_jsx("h4", { children: title }), description] }), children] }));
export const ErrorContext = createContext({
    error: null,
    setError: () => null,
    DisplayError: DefaultErrorDisplay,
});
const MaybeError = ({ children }) => {
    const { error, DisplayError } = useContext(ErrorContext);
    if (error) {
        return _jsx(DisplayError, { ...error, children: children });
    }
    else {
        return _jsx(_Fragment, { children: children });
    }
};
export const ErrorContextProvider = ({ DisplayError, children }) => {
    const [error, setErrorState] = useState(null);
    const setError = useCallback((error) => {
        if (error) {
            console.warn('setting error:', error);
        }
        setErrorState(error);
    }, [setErrorState]);
    const contextValue = { error, setError, DisplayError: DisplayError ?? DefaultErrorDisplay };
    return (_jsx(ErrorContext.Provider, { value: contextValue, children: _jsx(MaybeError, { children: children }) }));
};
