import { FC, ReactNode } from 'react';
import type { ErrorDisplayType } from './hooks/error';
import { ClassNameGenerator } from './hooks/className';
import { FastProps } from './components';
export * as components from './components';
export * as events from './events';
export type { DisplayMode } from './components/display';
export type { ClassName, ClassNameGenerator } from './hooks/className';
export { useClassName, renderClassName } from './hooks/className';
export { pathMatch } from './hooks/locationContext';
export { EventContextProvider } from './hooks/eventContext';
export type CustomRender = (props: FastProps) => FC | void;
export interface FastUIProps {
    rootUrl: string;
    pathSendMode?: 'append' | 'query';
    Spinner?: FC;
    NotFound?: FC<{
        url: string;
    }>;
    Transition?: FC<{
        children: ReactNode;
        transitioning: boolean;
    }>;
    DisplayError?: ErrorDisplayType;
    classNameGenerator?: ClassNameGenerator;
    customRender?: CustomRender;
    devMode?: boolean;
}
export declare function FastUI(props: FastUIProps): import("react/jsx-runtime").JSX.Element;
